<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;

class my_clients_SINGLE_Controller extends Controller
{
    public $selfName = 'my_clients_SINGLE_Controller';

	// GET /my_clients/view/{uid}/ACTION_sendCellNumberConfirmationMessage
	public function ACTION_sendCellNumberConfirmationMessage(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		return view('pro/my_clients_SINGLE/ACTION_sendCellNumberConfirmationMessage', compact('record'));
	}

	// GET /my_clients/view/{uid}/ACTION_putNewCellNumber
	public function ACTION_putNewCellNumber(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		return view('pro/my_clients_SINGLE/ACTION_putNewCellNumber', compact('record'));
	}

	// GET /my_clients/view/{uid}/ACTION_sendEmailAddressConfirmationMessage
	public function ACTION_sendEmailAddressConfirmationMessage(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		return view('pro/my_clients_SINGLE/ACTION_sendEmailAddressConfirmationMessage', compact('record'));
	}

	// GET /my_clients/view/{uid}/ACTION_putNewEmailAddress
	public function ACTION_putNewEmailAddress(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		return view('pro/my_clients_SINGLE/ACTION_putNewEmailAddress', compact('record'));
	}

	// GET /my_clients/view/{uid}/ACTION_putTeam
	public function ACTION_putTeam(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		return view('pro/my_clients_SINGLE/ACTION_putTeam', compact('record'));
	}

	// GET /my_clients/view/{uid}/ACTION_removeTeam
	public function ACTION_removeTeam(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		return view('pro/my_clients_SINGLE/ACTION_removeTeam', compact('record'));
	}

	// GET /my_clients/view/{uid}/ACTION_putMcp
	public function ACTION_putMcp(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		return view('pro/my_clients_SINGLE/ACTION_putMcp', compact('record'));
	}

	// GET /my_clients/view/{uid}/ACTION_removeMcp
	public function ACTION_removeMcp(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		return view('pro/my_clients_SINGLE/ACTION_removeMcp', compact('record'));
	}

	// GET /my_clients/view/{uid}/ACTION_putAlly
	public function ACTION_putAlly(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		return view('pro/my_clients_SINGLE/ACTION_putAlly', compact('record'));
	}

	// GET /my_clients/view/{uid}/ACTION_removeAlly
	public function ACTION_removeAlly(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		return view('pro/my_clients_SINGLE/ACTION_removeAlly', compact('record'));
	}

	// GET /my_clients/view/{uid}/ACTION_putName
	public function ACTION_putName(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		return view('pro/my_clients_SINGLE/ACTION_putName', compact('record'));
	}

	// GET /my_clients/view/{uid}/ACTION_putGender
	public function ACTION_putGender(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		return view('pro/my_clients_SINGLE/ACTION_putGender', compact('record'));
	}

	// GET /my_clients/view/{uid}/ACTION_putDateOfBirth
	public function ACTION_putDateOfBirth(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		return view('pro/my_clients_SINGLE/ACTION_putDateOfBirth', compact('record'));
	}

	// GET /my_clients/view/{uid}/ACTION_putProfilePicture
	public function ACTION_putProfilePicture(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		return view('pro/my_clients_SINGLE/ACTION_putProfilePicture', compact('record'));
	}

	// GET /my_clients/view/{uid}/ACTION_removeProfilePicture
	public function ACTION_removeProfilePicture(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		return view('pro/my_clients_SINGLE/ACTION_removeProfilePicture', compact('record'));
	}

	// GET /my_clients/view/{uid}/ACTION_updatePhoneInfo
	public function ACTION_updatePhoneInfo(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		return view('pro/my_clients_SINGLE/ACTION_updatePhoneInfo', compact('record'));
	}

	// GET /my_clients/view/{uid}/ACTION_updateAddress
	public function ACTION_updateAddress(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		return view('pro/my_clients_SINGLE/ACTION_updateAddress', compact('record'));
	}

	// GET /my_clients/view/{uid}/ACTION_updateMedicareNumber
	public function ACTION_updateMedicareNumber(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		return view('pro/my_clients_SINGLE/ACTION_updateMedicareNumber', compact('record'));
	}

	// GET /my_clients/view/{uid}/ACTION_manuallySetIsPartBPrimaryConfirmedToTrue
	public function ACTION_manuallySetIsPartBPrimaryConfirmedToTrue(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		return view('pro/my_clients_SINGLE/ACTION_manuallySetIsPartBPrimaryConfirmedToTrue', compact('record'));
	}

	// GET /my_clients/view/{uid}/ACTION_manuallySetIsPartBPrimaryConfirmedToFalse
	public function ACTION_manuallySetIsPartBPrimaryConfirmedToFalse(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		return view('pro/my_clients_SINGLE/ACTION_manuallySetIsPartBPrimaryConfirmedToFalse', compact('record'));
	}

	// GET /my_clients/view/{uid}/ACTION_setHasMcpDoneEmVisitToTrue
	public function ACTION_setHasMcpDoneEmVisitToTrue(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		return view('pro/my_clients_SINGLE/ACTION_setHasMcpDoneEmVisitToTrue', compact('record'));
	}

	// GET /my_clients/view/{uid}/ACTION_updateMcpEmVisitInfo
	public function ACTION_updateMcpEmVisitInfo(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		return view('pro/my_clients_SINGLE/ACTION_updateMcpEmVisitInfo', compact('record'));
	}

	// GET /my_clients/view/{uid}/ACTION_setHasMcpDoneEmVisitToFalse
	public function ACTION_setHasMcpDoneEmVisitToFalse(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		return view('pro/my_clients_SINGLE/ACTION_setHasMcpDoneEmVisitToFalse', compact('record'));
	}

	// GET /my_clients/view/{uid}/ACTION_putCrmReasons
	public function ACTION_putCrmReasons(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		return view('pro/my_clients_SINGLE/ACTION_putCrmReasons', compact('record'));
	}

	// GET /my_clients/view/{uid}/ACTION_removeCrmReasons
	public function ACTION_removeCrmReasons(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		return view('pro/my_clients_SINGLE/ACTION_removeCrmReasons', compact('record'));
	}

	// GET /my_clients/view/{uid}/ACTION_setIsClientEnrolledInCmToTrue
	public function ACTION_setIsClientEnrolledInCmToTrue(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		return view('pro/my_clients_SINGLE/ACTION_setIsClientEnrolledInCmToTrue', compact('record'));
	}

	// GET /my_clients/view/{uid}/ACTION_setIsClientEnrolledInCmToFalse
	public function ACTION_setIsClientEnrolledInCmToFalse(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		return view('pro/my_clients_SINGLE/ACTION_setIsClientEnrolledInCmToFalse', compact('record'));
	}

	// GET /my_clients/view/{uid}/ACTION_updateWhyNotEnrolledInCm
	public function ACTION_updateWhyNotEnrolledInCm(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		return view('pro/my_clients_SINGLE/ACTION_updateWhyNotEnrolledInCm', compact('record'));
	}

	// GET /my_clients/view/{uid}/ACTION_setIsClientEnrolledInRmToTrue
	public function ACTION_setIsClientEnrolledInRmToTrue(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		return view('pro/my_clients_SINGLE/ACTION_setIsClientEnrolledInRmToTrue', compact('record'));
	}

	// GET /my_clients/view/{uid}/ACTION_setIsClientEnrolledInRmToFalse
	public function ACTION_setIsClientEnrolledInRmToFalse(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		return view('pro/my_clients_SINGLE/ACTION_setIsClientEnrolledInRmToFalse', compact('record'));
	}

	// GET /my_clients/view/{uid}/ACTION_updateWhyNotEnrolledInRm
	public function ACTION_updateWhyNotEnrolledInRm(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		return view('pro/my_clients_SINGLE/ACTION_updateWhyNotEnrolledInRm', compact('record'));
	}

	// GET /my_clients/view/{uid}/ACTION_updateIntakeInfo
	public function ACTION_updateIntakeInfo(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		return view('pro/my_clients_SINGLE/ACTION_updateIntakeInfo', compact('record'));
	}

	// GET /my_clients/view/{uid}/ACTION_deactivate
	public function ACTION_deactivate(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		return view('pro/my_clients_SINGLE/ACTION_deactivate', compact('record'));
	}

	// GET /my_clients/view/{uid}/ACTION_updateDeactivationMemo
	public function ACTION_updateDeactivationMemo(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		return view('pro/my_clients_SINGLE/ACTION_updateDeactivationMemo', compact('record'));
	}

	// GET /my_clients/view/{uid}/ACTION_reactivate
	public function ACTION_reactivate(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		return view('pro/my_clients_SINGLE/ACTION_reactivate', compact('record'));
	}

	// GET /my_clients/view/{uid}/ACTION_updateReactivationMemo
	public function ACTION_updateReactivationMemo(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		return view('pro/my_clients_SINGLE/ACTION_updateReactivationMemo', compact('record'));
	}

	// GET /my_clients/view/{uid}/SUB_dashboard
	public function SUB_dashboard(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		return view('pro/my_clients_SINGLE/SUB_dashboard', compact('record'));
	}

	// GET /my_clients/view/{uid}/SUB_med_profile
	public function SUB_med_profile(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		return view('pro/my_clients_SINGLE/SUB_med_profile', compact('record'));
	}

	// GET /my_clients/view/{uid}/SUB_med_profile_log
	public function SUB_med_profile_log(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		return view('pro/my_clients_SINGLE/SUB_med_profile_log', compact('record'));
	}

	// GET /my_clients/view/{uid}/SUB_pro_access
	public function SUB_pro_access(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		$subRecords = DB::table('client_pro_access')->where('client_id', $record->id)->get();
		return view('pro/my_clients_SINGLE/SUB_pro_access', compact('record', 'subRecords'));
	}

	// GET /my_clients/view/{uid}/SUB_notes
	public function SUB_notes(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		$subRecords = DB::table('note')->where('client_id', $record->id)->get();
		return view('pro/my_clients_SINGLE/SUB_notes', compact('record', 'subRecords'));
	}

	// GET /my_clients/view/{uid}/SUB_care_months
	public function SUB_care_months(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		$subRecords = DB::table('care_month')->where('client_id', $record->id)->get();
		return view('pro/my_clients_SINGLE/SUB_care_months', compact('record', 'subRecords'));
	}

	// GET /my_clients/view/{uid}/SUB_care_month_entries
	public function SUB_care_month_entries(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		$subRecords = DB::table('care_month_entry')->where('client_id', $record->id)->get();
		return view('pro/my_clients_SINGLE/SUB_care_month_entries', compact('record', 'subRecords'));
	}

	// GET /my_clients/view/{uid}/SUB_bills
	public function SUB_bills(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		$subRecords = DB::table('bill')->where('client_id', $record->id)->get();
		return view('pro/my_clients_SINGLE/SUB_bills', compact('record', 'subRecords'));
	}

	// GET /my_clients/view/{uid}/SUB_related_transactions
	public function SUB_related_transactions(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		$subRecords = DB::table('pro_transaction')->where('client_id', $record->id)->get();
		return view('pro/my_clients_SINGLE/SUB_related_transactions', compact('record', 'subRecords'));
	}

	// GET /my_clients/view/{uid}/SUB_action_items
	public function SUB_action_items(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		$subRecords = DB::table('action_item')->where('client_id', $record->id)->get();
		return view('pro/my_clients_SINGLE/SUB_action_items', compact('record', 'subRecords'));
	}

	// GET /my_clients/view/{uid}/SUB_erx
	public function SUB_erx(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		$subRecords = DB::table('action_item')->where('client_id', $record->id)->where('action_item_category', 'RX')->get();
		return view('pro/my_clients_SINGLE/SUB_erx', compact('record', 'subRecords'));
	}

	// GET /my_clients/view/{uid}/SUB_mcp_updates
	public function SUB_mcp_updates(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		$subRecords = DB::table('client_mcp_update')->where('client_id', $record->id)->get();
		return view('pro/my_clients_SINGLE/SUB_mcp_updates', compact('record', 'subRecords'));
	}

	// GET /my_clients/view/{uid}/SUB_ally_updates
	public function SUB_ally_updates(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		$subRecords = DB::table('client_ally_update')->where('client_id', $record->id)->get();
		return view('pro/my_clients_SINGLE/SUB_ally_updates', compact('record', 'subRecords'));
	}

	// GET /my_clients/view/{uid}/SUB_audit_log
	public function SUB_audit_log(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		return view('pro/my_clients_SINGLE/SUB_audit_log', compact('record'));
	}

	// GET /my_clients/view/{uid}/ACTION_pro_accessAddNew
	public function ACTION_pro_accessAddNew(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		return view('pro/my_clients_SINGLE/ACTION_pro_accessAddNew', compact('record'));
	}

	// GET /my_clients/view/{uid}/ACTION_notesAddNew
	public function ACTION_notesAddNew(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		return view('pro/my_clients_SINGLE/ACTION_notesAddNew', compact('record'));
	}

	// GET /my_clients/view/{uid}/ACTION_care_monthsAddNew
	public function ACTION_care_monthsAddNew(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		return view('pro/my_clients_SINGLE/ACTION_care_monthsAddNew', compact('record'));
	}

	// GET /my_clients/view/{uid}/ACTION_action_itemsAddNew
	public function ACTION_action_itemsAddNew(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		return view('pro/my_clients_SINGLE/ACTION_action_itemsAddNew', compact('record'));
	}

	// GET /my_clients/view/{uid}/ACTION_erxAddNew
	public function ACTION_erxAddNew(Request $request, $uid) {
		$record = DB::table('client')->where('uid', $uid)->first();
		return view('pro/my_clients_SINGLE/ACTION_erxAddNew', compact('record'));
	}
}
